# Troublemaker™

Hi! You found Troublemaker, the enhanced community engagement extension for the Twitch platform. Troublemaker makes it easy for both the streamer and their community to interact by providing a SINGLE extension that integrates all your favorite single-player and multiplayer games with an easy to use interface for spawning in-game events. Spend more time streaming, less time managing multiple extensions, Troublemaker's smart core, running on AWS, automatically updates to your current game, keeping the energy going from game to game without having to worry about managing any back end services. Help your favorite streamer, or harm them, the choice is yours!

Find the Troublemaker Twitch Extension [here][4]

## Requirements

- [BepInExPack Valheim (Server AND Client)][0]
- [RCON Plugin (Server Only)][1]
- [Troublemaker Plugin (Server AND Client)][2]

## Server Installation
> NOTE: We've only tested this plugin with a Dedicated Valheim Server.

To fully experience Troublemaker - Valheim, You need to install all the required packages to a Dedicated Valheim Server.

Copy the `.dll` files from [rcon][1] and [Troublemaker][2] to `BepInEx/plugins/` on your dedicated server after following the BepInEx installation Instructions.

Be sure to enable the [rcon][1] plugin by changing the configuration as instructed on the [rcon][1] page.

Restart the server one more time, and it should be good to go!

## Client Installation
Only the people that our Troublemaker™ Extension interacts with (Streamers), will need to install the [Troublemaker][2] plugin in their own game.
Other players on the server do not require to have the plugin installed.

The rcon dependency is not required on clients.

## Contact us

For questions and support, join us on [Discord][3]

[0]: https://valheim.thunderstore.io/package/denikson/BepInExPack_Valheim/
[1]: https://valheim.thunderstore.io/package/AviiNL/rcon/
[2]: https://valheim.thunderstore.io/package/AviiNL/Troublemaker/
[3]: https://discord.gg/aj3FYNrguk
[4]: https://dashboard.twitch.tv/extensions/94ycosxkvfnnc41801swbc0ln8g44d